<div class="modal-header padding-10">
  <span class="modal-title font-weight-bold">
    <span *ngIf="!isEdit">Create</span>
    <span *ngIf="isEdit">Update</span>
    Vehicle
  </span>
</div>
<div class="modal-body padding-10" style="max-height: 400px; overflow-y: auto; overflow-x: hidden">
  <div class="row">
    <div class="col-sm">
      <form class="form-horizontal"
            novalidate
            (keyup.enter)="save()"
            [formGroup]="vehicleGroup">
        <div class="form-group">
          <label class="font-weight-bold">Name *</label>
          <input type="text"
                 autocomplete="off"
                 class="form-control"
                 placeholder="Vehicle Name"
                 [formControl]="nameControl"
                 required>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Delivery Types *</label>
          <select class="form-control" [formControl]="deliveryTypeControl">
            <option *ngFor="let t of deliveryTypes" [value]="t.value">{{t.text}}</option>
          </select>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Parcel Limit * (0 = No Limit)</label>
          <input type="number"
                 min="0"
                 class="form-control"
                 placeholder="Parcel Limit"
                 [formControl]="parcelLimitControl"
                 >
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Weight Limit (Kg)* (0 = No Limit)</label>
          <input type="number"
                 min="0"
                 class="form-control"
                 placeholder="Weight Limit"
                 [formControl]="weightInKgLimitControl"
                 required>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Size Limit (Cm<sup>2</sup>)* (0 = No Limit)</label>
          <input type="number"
                 min="0"
                 class="form-control"
                 placeholder="Size Limit"
                 [formControl]="dimensionInCmLimitControl"
                 required>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Duration Limit (Min)* (0 = No Limit)</label>
          <input type="number"
                 min="0"
                 class="form-control"
                 placeholder="Duration Limit"
                 [formControl]="durationInMinLimitControl"
                 required>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Bonus Charges* (0 = No Bonus)</label>
          <input type="number"
                 min="0"
                 class="form-control"
                 placeholder="Bonus Charges"
                 [formControl]="topUpChargesControl"
                 required>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Bonus Duration (Min)* (0 = No Bonus)</label>
          <input type="number"
                 min="0"
                 class="form-control"
                 placeholder="Bonus Duration"
                 [formControl]="topUpDurationInMinControl"
                 required>
        </div>
        <div class="form-group">
          <label class="font-weight-bold">Image *</label>
          <br>
          <button type="button" class="btn btn-sm btn-info"
                  onclick="document.getElementById('fileToUpload2').click()">
            <i class="fa fa-paperclip"></i>&nbsp;
            <span *ngIf="!imageControl.value">Add Image</span>
            <span *ngIf="imageControl.value">Change Image</span>
          </button>
          <input id="fileToUpload2" class="form-control" required type="file"
                 (change)="onFileAdded($event)" hidden accept="image/*"/>
          <div class="text-center">
            <img alt="Vehicle"  style="max-height: 150px;" class="img-thumbnail img-responsive" [src]="imageControl.value"
                  *ngIf="imageControl.value">
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
<div class="modal-footer padding-10">
  <div class="container">
    <div class="row">
      <div class="col-sm-12 col-md-6">
        <div class="checkbox">
          <input type="checkbox"
                 id="checkbox"
                 placeholder="Active"
                 [formControl]="isActiveControl"
            />
          <label for="checkbox">&nbsp;Active</label>
        </div>
      </div>
      <div class="col-sm-12 col-md-6">
        <button class="btn btn-primary btn-round btn-md" [disabled]="vehicleGroup.invalid || isLoading" (click)="save()">
          <span *ngIf="isEdit">Update</span>
          <span *ngIf="!isEdit">Save</span>
        </button>
        &nbsp;
        <button class="btn btn-neutral" (click)="close()">Close</button>
      </div>
    </div>
  </div>
</div>
